#!/bin/bash
# ----------------------------------------------------------------------
# Copyright (C) 2025 Tristan Hoellinger
# Distributed under the GNU General Public License v3.0 (GPLv3).
# See the LICENSE file in the root directory for details.
# SPDX-License-Identifier: GPL-3.0-or-later
# ----------------------------------------------------------------------

# Author: Tristan Hoellinger
# Version: 0.1
# Date: 2025
# License: GPLv3

eval "$(conda shell.bash hook)"
conda activate p3m


export OMP_NUM_THREADS=8
python $WIP3M_ROOT_PATH"src/wip3m/convergence_baseline_ts_parser.py" \
    --run_id ts1/ \
    --L 64 \
    --N 64 \
    --Np 64 \
    --Npm 3600 \
    --n_Tiles 32 \
    --nsteps_pmref 200 \
    --nsteps_pm1 100 \
    --nsteps_pm2 20 \
    --nsteps_cola 10 \
    --nsteps_spm 200 \
    --nsteps_p3m1 200 \
    --nsteps_p3m2 100 \
    --nsteps_p3m3 20 \
    --tsd_pmref 0 \
    --tsd_pm1 0 \
    --tsd_pm2 0 \
    --tsd_cola 0 \
    --tsd_spm 0 \
    --tsd_p3m1 0 \
    --tsd_p3m2 0 \
    --tsd_p3m3 0

exit 0